version = 3.9.9
runner.dialect = scala213
preset = default
maxColumn = 120

align = {
    preset = none
    openParenDefnSite = false
}

newlines = {
    source = keep
}

rewrite = {
    rules = [SortModifiers, Imports]
    sortModifiers.preset = styleGuide
    imports.sort = scalastyle
    trailingCommas.style = multiple
    insertBraces.minLines = 3
}

docstrings = {
    style = SpaceAsterisk
    blankFirstLine = unfold
    oneline = unfold
    wrap = keep
    forceBlankLineBefore = false
}

indent {
    defnSite = 2
    extendSite = 2
    withSiteRelativeToExtends = 2
}
